Zydis: Version

Zydis v4.1.1

Loading...
Searching...
No Matches
Version

## Macros
#define | ZYDIS_VERSION 0x0004000100000000ULL
| A macro that defines the zydis version.
#define | ZYDIS_VERSION_MAJOR(version)
| Extracts the major-part of the zydis version.
#define | ZYDIS_VERSION_MINOR(version)
| Extracts the minor-part of the zydis version.
#define | ZYDIS_VERSION_PATCH(version)
| Extracts the patch-part of the zydis version.
#define | ZYDIS_VERSION_BUILD(version)
| Extracts the build-part of the zydis version.

## Typedefs
typedef enum ZydisFeature_ | ZydisFeature
| Defines the ZydisFeature enum.

## Enumerations
enum | ZydisFeature_ { ZYDIS_FEATURE_DECODER , ZYDIS_FEATURE_ENCODER , ZYDIS_FEATURE_FORMATTER , ZYDIS_FEATURE_AVX512 , ZYDIS_FEATURE_KNC , ZYDIS_FEATURE_SEGMENT , ZYDIS_FEATURE_MAX_VALUE = ZYDIS_FEATURE_SEGMENT , ZYDIS_FEATURE_REQUIRED_BITS = ZYAN_BITS_TO_REPRESENT(ZYDIS_FEATURE_MAX_VALUE) }
| Defines the ZydisFeature enum. More...

## Functions
ZYDIS_EXPORT ZyanU64 | ZydisGetVersion (void)
| Returns the zydis version.
ZYDIS_EXPORT ZyanStatus | ZydisIsFeatureEnabled (ZydisFeature feature)
| Checks, if the specified feature is enabled in the current zydis library instance.

## Detailed Description

Functions for checking the library version and build options.

## Macro Definition Documentation

## ◆ ZYDIS_VERSION

#define ZYDIS_VERSION 0x0004000100000000ULL

A macro that defines the zydis version.

## ◆ ZYDIS_VERSION_BUILD

#define ZYDIS_VERSION_BUILD | ( |  | version | ) |

Value:
((version) & 0x000000000000FFFF)

Extracts the build-part of the zydis version.

Parameters

  version | The zydis version value

## ◆ ZYDIS_VERSION_MAJOR

#define ZYDIS_VERSION_MAJOR | ( |  | version | ) |

Value:
(((version) & 0xFFFF000000000000) >> 48)

Extracts the major-part of the zydis version.

Parameters

  version | The zydis version value

## ◆ ZYDIS_VERSION_MINOR

#define ZYDIS_VERSION_MINOR | ( |  | version | ) |

Value:
(((version) & 0x0000FFFF00000000) >> 32)

Extracts the minor-part of the zydis version.

Parameters

  version | The zydis version value

## ◆ ZYDIS_VERSION_PATCH

#define ZYDIS_VERSION_PATCH | ( |  | version | ) |

Value:
(((version) & 0x00000000FFFF0000) >> 16)

Extracts the patch-part of the zydis version.

Parameters

  version | The zydis version value

## Typedef Documentation

## ◆ ZydisFeature

typedef enum ZydisFeature_ ZydisFeature

Defines the ZydisFeature enum.

## Enumeration Type Documentation

## ◆ ZydisFeature_

enum ZydisFeature_

Defines the ZydisFeature enum.

Enumerator
ZYDIS_FEATURE_DECODER |
ZYDIS_FEATURE_ENCODER |
ZYDIS_FEATURE_FORMATTER |
ZYDIS_FEATURE_AVX512 |
ZYDIS_FEATURE_KNC |
ZYDIS_FEATURE_SEGMENT |
ZYDIS_FEATURE_MAX_VALUE | Maximum value of this enum.
ZYDIS_FEATURE_REQUIRED_BITS | The minimum number of bits required to represent all values of this enum.

## Function Documentation

## ◆ ZydisGetVersion()

ZYDIS_EXPORT ZyanU64 ZydisGetVersion | ( | void |  | ) |

Returns the zydis version.

Returns
  The zydis version.

Use the macros provided in this file to extract the major, minor, patch and build part from the returned version value.

## ◆ ZydisIsFeatureEnabled()

ZYDIS_EXPORT ZyanStatus ZydisIsFeatureEnabled | ( | ZydisFeature | feature | ) |

Checks, if the specified feature is enabled in the current zydis library instance.

Parameters

  feature | The feature.

Returns
  ZYAN_STATUS_TRUE if the feature is enabled, ZYAN_STATUS_FALSE if not. Another zyan status code, if an error occured.